package com.rjconsultores.ventaboletos.utilerias.exportacao.bpe;

import java.math.BigDecimal;

public class ExportacaoBPETipoDPE {

	private BigDecimal valor;
	private String cfop;
	private String cstb;
	private String csosnb;
	private BigDecimal baseCalculoICMS;
	private BigDecimal aliquotaICMS;
	private BigDecimal icms;
	private BigDecimal isentas;
	private BigDecimal outras;

	public ExportacaoBPETipoDPE() {
	}

	public ExportacaoBPETipoDPE(BigDecimal valor, String cfop, String cstb, String csosnb, BigDecimal baseCalculoICMS, BigDecimal aliquotaICMS, BigDecimal icms, BigDecimal isentas, BigDecimal outras) {
		super();
		this.valor = valor;
		this.cfop = cfop;
		this.cstb = cstb;
		this.csosnb = csosnb;
		this.baseCalculoICMS = baseCalculoICMS;
		this.aliquotaICMS = aliquotaICMS;
		this.icms = icms;
		this.isentas = isentas;
		this.outras = outras;
	}

	public BigDecimal getValor() {
		return valor;
	}

	public void setValor(BigDecimal valor) {
		this.valor = valor;
	}

	public String getCfop() {
		return cfop;
	}

	public void setCfop(String cfop) {
		this.cfop = cfop;
	}

	public String getCstb() {
		return cstb;
	}

	public void setCstb(String cstb) {
		this.cstb = cstb;
	}

	public String getCsosnb() {
		return csosnb;
	}

	public void setCsosnb(String csosnb) {
		this.csosnb = csosnb;
	}

	public BigDecimal getBaseCalculoICMS() {
		return baseCalculoICMS;
	}

	public void setBaseCalculoICMS(BigDecimal baseCalculoICMS) {
		this.baseCalculoICMS = baseCalculoICMS;
	}

	public BigDecimal getAliquotaICMS() {
		return aliquotaICMS;
	}

	public void setAliquotaICMS(BigDecimal aliquotaICMS) {
		this.aliquotaICMS = aliquotaICMS;
	}

	public BigDecimal getIcms() {
		return icms;
	}

	public void setIcms(BigDecimal icms) {
		this.icms = icms;
	}

	public BigDecimal getIsentas() {
		return isentas;
	}

	public void setIsentas(BigDecimal isentas) {
		this.isentas = isentas;
	}

	public BigDecimal getOutras() {
		return outras;
	}

	public void setOutras(BigDecimal outras) {
		this.outras = outras;
	}

}
